Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Main::QuitSignal Class Reference

Quit signal class. More...

`#include <inti/main.h>`

List of all members.

## Public Types

- typedef Slot0< bool > SlotType
    Function signature for handlers connected to this signal.

## Public Member Functions

- Connection connect (const SlotType *slot, unsigned int main_level=0)
    Connect a slot to be called when an instance of the mainloop is left.

## Detailed Description

Quit signal class.

## Member Function Documentation

Connection Inti::Main::QuitSignal::connect | ( | const SlotType * | slot,
|  | unsigned int | main_level = 0
| ) |

  | Connect a slot to be called when an instance of the mainloop is left. Parameters:
  slot | The slot to call.
  main_level | Level at which termination the slot shall be called.
Returns: A connection object that can be used to break or alter the connection. You can pass 0 as the main_level to have your slot invoked at the termination of the current mainloop.

The documentation for this class was generated from the following file:

- main.h

Main Page - Footer